/*
	The DIY Prime Wake Up Light
	electronics.nilshugo.se
	
	Copyright 2012 Christian Larsson 
	electronics@nilshugo.se
*/

#ifndef DISPCONTROL_H_
#define DISPCONTROL_H_

#define DISP_PORT PORTC
#define DISP_PORT_DDR DDRC
#define DISP_AND_RELAY_CTRL_PORT PORTD
#define DISP_AND_RELAY_CTRL_PORT_DDR DDRD

#define BLINK_NONE		0
#define BLINK_FIRST		1
#define BLINK_SECOND	2

#define BLINK_OFF		0
#define BLINK_ON 		1

void shutOffDisp(void);
void selectDisp(unsigned char disp);
void printNr(unsigned char nr);
void controlDot(unsigned char dot3, unsigned char dot2, unsigned char dot1, unsigned char dot0);
void controlDisplayContentThreeDigits(volatile unsigned char* displayContentArray, unsigned long int numberToDisplay);
void controlDisplayContentTime(char blinkPosition, char blinkPositionOnOrOff, volatile unsigned char* displayContentArray, unsigned char firstDigits, unsigned char secondDigits);
#endif