/*
	The DIY Prime Wake Up Light
	electronics.nilshugo.se
	
	Copyright 2012 Christian Larsson 
	electronics@nilshugo.se
*/

#include "miscIO.h"
#include "dispControl.h"

#include <avr/io.h>
#include <util/delay.h>

void setNewDimmingSettingSlow(unsigned char newDimSetting){
	if(newDimSetting > DIM_MIN_VALUE)
		setRelay(RELAY_CLOSED);

	while(newDimSetting < OCR1A){
		_delay_ms(10);
		OCR1A -= 1;
	}
	while(newDimSetting > OCR1A){
		_delay_ms(10);
		OCR1A += 1;
	}

	if(newDimSetting == DIM_MIN_VALUE)
		setRelay(RELAY_OPEN);
	
	return;
}

void setRelay(unsigned char relayStatus){
	if(relayStatus){
		DISP_AND_RELAY_CTRL_PORT	|= 0b10000000;
	}
	else{
		DISP_AND_RELAY_CTRL_PORT	&= 0b01111111;
	}
	
	return;
}