/*
	The DIY Prime Wake Up Light
	electronics.nilshugo.se
	
	Copyright 2012 Christian Larsson 
	electronics@nilshugo.se
*/

#ifndef ALARMFUNC_H_
#define ALARMFUNC_H_

#define ALARM_OFF	0
#define ALARM_ON	1
#define ALARM_TRIGGERED 1

#define SECONDS_IN_MINUTE 60
#define SECONDS_IN_HOUR 3600
#define SECONDS_IN_DAY 86400

#define DIM_TIME_MINUTES	25
#define DIM_TIME_SECONDS	(DIM_TIME_MINUTES * SECONDS_IN_MINUTE)
#define	ALARM_TRIGG_MARGIN_SECONDS	5

void setAlarmStatus(char status);
char isAlarmActive(void);
void controlAlarm(long int totalDayTimeInSeconds, long int alarmTimeInSeconds);
void setAlarmTriggered(char alarmTriggered);

#endif