/*
	The DIY Prime Wake Up Light
	electronics.nilshugo.se
	
	Copyright 2012 Christian Larsson 
	electronics@nilshugo.se
*/

#ifndef BUTTONS_H
#define BUTTONS_H

#define BUTTON_AND_ALARM_STATUS_PORT PORTA
#define BUTTON_AND_ALARM_STATUS_PORT_READ PINA
#define BUTTON_AND_ALARM_STATUS_PORT_DDR DDRA

#define BUTTON_DELAY_TIME 280

#define MODE_VIEW_TIME 1
#define MODE_SET_ALARM 3
#define MODE_SET_TIME 2

unsigned char buttonIsPressedMinus(void);
unsigned char buttonIsPressedPlus(void);
unsigned char buttonIsPressedChange(void);
unsigned char switchIsActiveLight(void);
unsigned char switchIsActiveAlarm(void);
unsigned char switchModeStatus(void);

#endif